org.apache.ivy.core.cache

## Class CacheUtil

- java.lang.Object
- - org.apache.ivy.core.cache.CacheUtil

    public final class CacheUtil
    extends java.lang.Object

Utility class providing some cache related facilities.

### Method Summary

Methods
`static void` `checkCachePattern(java.lang.String cachePattern)` Checks that the given pattern is acceptable as a cache pattern

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### checkCachePattern

    public static void checkCachePattern(java.lang.String cachePattern)

Checks that the given pattern is acceptable as a cache pattern

Parameters:
  `cachePattern` - the pattern to check
Throws:
  `java.lang.IllegalArgumentException` - if the pattern isn't acceptable as cache pattern